package crypt;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.event.*;
import java.util.*;

public class WorkspaceIcon extends JPanel implements MouseMotionListener, MouseListener {

	// Are we currently movable (default true)
	private boolean mobile=true;
	// our parent
	private JLayeredPane parent;
	private Workspace owner;
	
	private JLabel top;
	private String id;

	private int offsetx;
	private int offsety;

	private WorkspaceIcon (String id,JLayeredPane parent,Workspace owner){
		setLayout(new BorderLayout());
		setBorder(BorderFactory.createBevelBorder(BevelBorder.RAISED));
		this.id=id;
		this.parent=parent;
		top = new JLabel(new ImageIcon("icon.gif"));
		add(top,BorderLayout.CENTER);
		addMouseMotionListener(this);
		addMouseListener(this);
	}


	public static WorkspaceIcon getIcon(String id,JLayeredPane parent,Workspace owner) {
		WorkspaceIcon icon=new WorkspaceIcon(id,parent,owner);
		icon.setPreferredSize(new Dimension(48,48));
		return icon;
	}

	protected void setMobile(boolean move){
		mobile=move;
	}

	public void mousePressed(MouseEvent e){
		System.out.println("mousePressed on "+id);
		//parent.setLayout(null);
		//parent.add(this,JLayeredPane.DRAG_LAYER);
		offsetx = e.getX();
		offsety = e.getY();
		
	}

	public void mouseReleased(MouseEvent e){
		System.out.println("mouseReleased on "+id); 
		//parent.add(this,JLayeredPane.DEFAULT_LAYER);
	}

	public void mouseEntered(MouseEvent e){
	}

	public void mouseExited(MouseEvent e){
	}

	public void mouseClicked(MouseEvent e){
	}

	public void mouseMoved(MouseEvent e){
	}

	public void mouseDragged(MouseEvent e){
			setLocation(getX()-offsetx+e.getX(),getY()-offsety+e.getY());		
	}

}
