package crypt.jce;

import java.io.*;

class BlobFile {

	private boolean encrypted;
	private String text;
	private File file;

	public BlobFile () {
		this.setText("");
		this.setEncrypted(false);
	}

	public BlobFile(String t) {
		this.setText(t);
		this.setEncrypted(false);
	}

	public BlobFile(String t, boolean y) {
		this.setText(t);
		this.setEncrypted(y);
	}

	public BlobFile(File f) {
		this.setFile(f);
		this.setEncrypted(false);
	}

	public BlobFile(File f, boolean y) {
		this.setFile(f);
		this.setEncrypted(y);
	}

	public File getFile() {
		return file;
	}

	public void setFile(File f) {
		file = f;
	}

	// Type = false for unencrypted, true for encrypted.
	public void setEncrypted(boolean t) {
		encrypted = t;
	}

	public boolean getEncrypted() {
		return encrypted;
	}

	public String getText()
	{
		/* Don't want to return null */
		if (text == null)
			return "";
		else
			return text;
	}

	public void setText(String t)
	{
		text = t;
	}
}
